=== debian/changelog ===
mupdf (1.1+-git-20120926-1) unstable; urgency=low

  * add *-internal.h to libmupdf-dev

 -- Frank Fuhlbrück <frafl@justmail.de>  Mon, 03 Sep 2012 23:14:19 +0200
