=== debian/control ===
Source: mupdf
Section: text
Priority: optional
Maintainer: Frank Fuhlbrück <frafl@justmail.de>
Build-Depends: debhelper (>= 5), make, pkg-config, gcc, coreutils, binutils, tar, libfreetype6-dev, libx11-dev, libxext-dev, libopenjpeg-dev, libjpeg7-dev, zlib1g-dev, maemo-optify
Standards-Version: 3.7.2

Package: libjbig2dec-dev-mupdf
Architecture: any
Depends: ${shlibs:Depends}
Description: Development files for jbig2dec
 This package contains the static library and header.
 
Package: libopenjpeg-dev-mupdf
Architecture: any
Depends: ${shlibs:Depends}
Description: Development files for openjpeg (JPEG 2000 codec)
 This package contains the static library and header.

Package: libmupdf-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Development files for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains the static library and headers.

Package: mupdf
Architecture: any
Depends: ${shlibs:Depends}
Description: A lightweight PDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 The renderer in MuPDF is tailored for high quality anti-aliased graphics.
 It renders text with metrics and spacing accurate to within fractions of a
 pixel for the highest fidelity in reproducing the look of a printed page
 on screen.

Package: mupdf-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: Commmand line tools for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains command line tools using the MuPDF library:
 .
 pdfdraw to render pages to image files.
 .
 pdfshow to examine objects in a PDF file.
 .
 pdfclean to decompress and pretty print streams and objects in PDF files.
