=== debian/changelog ===
mupdf (1.2-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1058068). Remaining changes:
    - debian/patches/ignore_scripts.patch: Don't use included jconfig.h; use
      the system one instead.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 25 Jun 2013 21:10:00 -0400

mupdf (1.2-2) unstable; urgency=low

  * Upload to unstable
  * Fix build with openjpeg 1.3.
  * debian/control: Update mupdf-tools long description.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 20 Jun 2013 22:59:39 +0800

mupdf (1.2-1) experimental; urgency=low

  [ Quoc-Viet Nguyen ]
  * New upstream release: 1.2. (Closes: #690983)
    - Changed MuPDF license to AGPL.
    - Increased openjpeg version dependency to 1.5.
    - New binary `mutool' now includes most mupdf tools. (Closes: #656267).
  * Use debian/watch from Bart Martens.
  
  [ Kan-Ru Chen (陳侃如) ]
  * Add Quoc-Viet Nguyen as co-maintainer. Congratulations!
  * Bump Standards-Version to 3.9.4, no changes needed
  * debian/copyright: Updated.
  * Provides: pdf-viewer. (Closes: #682450)
  * Enable CPPFLAGS hardening flags. Thanks Simon Ruderich (Closes: #665315)
  * debian/rules: Remove generated files at clean target.
  * Fix mudraw.1 formatting.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 20 Jun 2013 01:43:14 +0800
