=== debian/changelog ===
mupdf (1.3-2) unstable; urgency=medium

  * Fix CVE-2014-2013: Stack-based Buffer Overflow in
    xps_parse_color(). (Closes: #738857)
  * Add description of key P to mupdf(1). (Closes: #736125)
  * Add description of BROWSER env to mupdf(1). (Closes: #699684)
  * Bump Standards-Version to 3.9.5, no changes needed
  
 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 09 Mar 2014 23:41:55 +0800

mupdf (1.3-1) unstable; urgency=low

  * New upstream release. (Closes: #719281, #686806, #667971)
  * Remove fix_compiling_1.2.patch
  * Disable JPEG2000 support if compiled with libopenjpeg2
  * Fix header mismatch with libjpeg-dev. (Closes: #717201)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 25 Nov 2013 01:38:45 +0800
