=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 endif
 
 override_dh_auto_build:
+	# Use system libjpeg jconfig.h
+	-rm scripts/jconfig.h
 	$(MAKE) build=release OS=Linux
 
 override_dh_auto_install:
