=== debian/changelog ===
mupdf (1.4-2ubuntu1) utopic; urgency=medium

  * Disable JavaScript support on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 15:40:32 +0200

mupdf (1.4-2) unstable; urgency=medium

  * Disable JavaScript support on powerpc, s390x and sparc. (Closes: #747131)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 19 May 2014 00:11:11 +0800

mupdf (1.4-1) unstable; urgency=medium

  [ Quoc-Viet Nguyen ]
  * New upstream release.
  * Fix compiling with libopenjpeg5. (Closes: #743103, #735878)

  [ Kan-Ru Chen (陳侃如) ]
  * Update debian/copyright.
  * Enable JavaScript support with v8. (Closes: #743414)
  * Won't crash when pdf file changes. (Closes: #699686)
  * Add mupdf.sh so it could be used with compressed pdf-files. Thanks
    Jörg-Volker Peetz! (Closes: #734183)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 20 Apr 2014 01:49:29 +0800
