=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags.
 CFLAGS += $(CPPFLAGS)
@@ -24,13 +25,18 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
+BUILD_FLAGS=build=release OS=Linux
+ifeq (,$(strip $(foreach arch,arm64 powerpc s390x sparc,$(findstring $(arch),$(DEB_HOST_ARCH)))))
+	BUILD_FLAGS += HAVE_V8=yes
+endif
+
+
 override_dh_auto_build:
-	# Use system libjpeg jconfig.h
-	-rm scripts/jconfig.h
-	$(MAKE) build=release OS=Linux
+	$(MAKE) $(BUILD_FLAGS)
 
 override_dh_auto_install:
-	$(MAKE) build=release OS=Linux prefix=$(CURDIR)/debian/tmp/usr install
+	$(MAKE) $(BUILD_FLAGS) prefix=$(CURDIR)/debian/tmp/usr install
+	install -m744 -T $(CURDIR)/debian/mupdf.sh $(CURDIR)/debian/tmp/usr/bin/mupdf
 
 override_dh_auto_clean:
 	-rm -rf build
