=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,7 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-BUILD_FLAGS=build=release OS=Linux
-ifeq (,$(strip $(foreach arch,arm64 powerpc s390x sparc,$(findstring $(arch),$(DEB_HOST_ARCH)))))
-	BUILD_FLAGS += HAVE_V8=yes
-endif
-
+BUILD_FLAGS=build=release OS=Linux verbose=yes
 
 override_dh_auto_build:
 	$(MAKE) $(BUILD_FLAGS)
